Offset GSTR-3B Tax Liability
PUT
https://apisandbox.whitebooks.in/gstr3b/retoffsetOffset Liability GSTR3B Data.
Liability Optimization
Explore FeatureGSTR-3B Liability Offset & Cash Utilization
Automatically optimize electronic credit and cash ledger set-offs to minimize cash outgo during GSTR-3B filing.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
pdcasharray<object>optionalArray items:
liab_ldg_idnumberoptionalLiability id
Example: 1233
trans_typnumberoptionalTransaction code
Example: 30002
ipdnumberoptionalIgst Tax paid through cash
Example: 3517817
cpdnumberoptionalCgst Tax paid through cash
Example: 3517817
spdnumberoptionalSgst Tax paid through cash
Example: 3517817
cspdnumberoptionalCgst Tax paid through cash
Example: 3517817
c_intrpdnumberoptionalCgst Interest paid through cash
Example: 30
c_lfeepdnumberoptionalCgst Late Fee paid through cash
Example: 13
cs_intrpdnumberoptionalCess Interest paid through cash
Example: 15
i_intrpdnumberoptionalIgst Interest paid through cash
Example: 20
s_intrpdnumberoptionalSgst Interest paid through cash
Example: 10
s_lfeepdnumberoptionalSgst Late fee paid through cash
Example: 13
pditcobjectoptionalliab_ldg_idnumberoptionalLiability Id
Example: 12321
trans_typnumberoptionalTransaction code
Example: 30002
i_pdinumberoptionalIgst Tax paid through Igst ITC
Example: 3517817
i_pdcnumberoptionalIgst Tax paid through Cgst ITC
Example: 2290459
i_pdsnumberoptionalIgst Tax paid through Sgst ITC
Example: 2290459
c_pdcnumberoptionalCgst Tax paid through Cgst ITC
Example: 2290459
c_pdinumberoptionalCgst Tax paid through Igst ITC
Example: 3517817
s_pdinumberoptionalSgst Tax paid through Igst ITC
Example: 3517817
s_pdsnumberoptionalSgst Tax paid through Sgst ITC
Example: 2290459
cs_pdcsnumberoptionalCess Tax paid through Cess ITC
Example: 2290459
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/gstr3b/retoffset. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Offset Liability GSTR3B Data (PUT
/gstr3b/retoffset), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Offset Liability GSTR3B Data.
No example available.